chromieBooster_enabled = true

--setup slash commands
SLASH_CHROMIEBOOSTER1 = "/chromiebooster"
SLASH_CHROMIEBOOSTER2 = "/twboost"

SlashCmdList["CHROMIEBOOSTER"] = function(msg, editBox)
	chromieBooster_enabled = not chromieBooster_enabled
	if (chromieBooster_enabled) then
		--QuestChoiceFrame:UnregisterEvent("QUEST_CHOICE_UPDATE");
		print("Chromie booster enabled!")
	else
		--QuestChoiceFrame:RegisterEvent("QUEST_CHOICE_UPDATE");
		print("Chromie booster disabled!")
	end
end

local CHROMIE_WALLET = 738
local CHROMIE_DRAKE = 744
local CHROMIE_KEEPSAKE = 740
local CHROMIE_REP_50 = 734
local CHROMIE_REP_100 = 735
local CHROMIE_REP_200 = 736
local CHROMIE_TIME_10 = 743
local CHROMIE_TIME_20 = 745
local CHROMIE_TIME_30 = 746
local CHROMIE_BADGES = 739
local CHROMIE_BUFF_REP = 737
local CHROMIE_BUFF_DEF = 741
local CHROMIE_BUFF_SPD = 742
local CHROMIE_BUFF_DMG = 748

--setup priorities
local chromiePrioTable = {
	[CHROMIE_BADGES] = 10000,	--this is what we're farming
	[CHROMIE_WALLET] = 100,
	[CHROMIE_BUFF_SPD] = 90,
	[CHROMIE_BUFF_DMG] = 80,
	[CHROMIE_BUFF_DEF] = 20,
	[CHROMIE_TIME_10] = 10,
	[CHROMIE_TIME_20] = 10,
	[CHROMIE_TIME_30] = 10,
	[CHROMIE_REP_50] = 5,
	[CHROMIE_REP_100] = 5,
	[CHROMIE_REP_200] = 5,
	[CHROMIE_BUFF_REP] = 4,
	[CHROMIE_KEEPSAKE] = -1,	--those are pretty useless if you only farm shrines
	[CHROMIE_DRAKE] = -10	--don't want a drake to clear shrines. you're farming them
}

function GetChoicePriority(choiceID)
	prio = chromiePrioTable[choiceID]
	if prio == nil then
		return 0
	end

	return prio
end

function kiddos() 
    local kiddos = { PlayerChoiceFrame:GetChildren() };
    for _, child in ipairs(kiddos) do
        print(child:GetName());
    end
end

local chromieBoosterFrame = CreateFrame("Frame")
chromieBoosterFrame:RegisterEvent("PLAYER_CHOICE_UPDATE")
chromieBoosterFrame:SetScript("OnEvent", function(self, event, ...)

	if (not chromieBooster_enabled) then
		print("ChromieBooster not enabled")
		return
	end

	cInfo = C_PlayerChoice.GetCurrentPlayerChoiceInfo()

	if (cInfo == nil) then
		return
	end
	
	print("choiceID="..cInfo.choiceID)

	if cInfo.choiceID == 306 then	--make sure it's the right window

		info1 = cInfo.options[1]
		info2 = cInfo.options[2]

		prio1 = GetChoicePriority(info1.id)
		prio2 = GetChoicePriority(info2.id)
		
		--print("Info1 ID "..info1.id)
		--print("Info2 ID "..info2.id)

		if ((prio1 == 0) or (prio2 == 0)) then
			--print("No priority set for option "..info1.id)
			--print("No priority set for option "..info2.id)
			return
		end
		
		--/script C_PlayerChoice.GetCurrentPlayerChoiceInfo().options[1].buttons[1]
		--/script PlayerChoiceFrame.Option1.OptionButtonsContainer.button1:Click()
		
		--print("asdad  "..PlayerChoiceFrame.Option1)
		
		--kiddos()
		
		--C_PlayerChoice.SendPlayerChoiceResponse(737)
		
		--C_PlayerChoice.GetPlayerChoiceOptionInfo(1).buttons[1]:Click()

		if prio1 > prio2 then
			C_PlayerChoice.SendPlayerChoiceResponse(info1.buttons[1].id)
			ClosePlayerChoice()
		    --PlayerChoiceFrame["Option1"]["OptionButtonsContainer"]["button1"]:Click()
		else
			C_PlayerChoice.SendPlayerChoiceResponse(info2.buttons[1].id)
			ClosePlayerChoice()
		    --PlayerChoiceFrame["Option2"]["OptionButtonsContainer"]["button1"]:Click()
		end
	end
end)